import { Column, Entity, ManyToOne, OneToMany } from 'typeorm';
import { BaseModel } from '../../config/basemodel.entity';
import { statusTransaction, typeTransaction } from '../../helper/enum-list';
import { ProductHistoryPrice } from '../../product/entities/product-history-price.entity';
import { UserDetail } from '../../users/entities/user_detail.entity';
import { TransactionJournal } from './transaction-journal.entity';

@Entity()
export class CallbackPartner extends BaseModel {
  @Column()
  trx_id: string;

  @Column()
  partner_trx_id: string;

  @Column()
  url: string;
}
