import { IsNotEmpty, IsOptional } from 'class-validator';

export class ExportTransactionDto {
  @IsNotEmpty()
  dateStart: string;

  @IsNotEmpty()
  dateEnd: string;

  @IsOptional()
  supplier: string;

  @IsOptional()
  buyer: string;

}
