import { IsNotEmpty, IsOptional } from 'class-validator';

export class OrderTransactionDto {

  @IsNotEmpty()
  productId: string;

  @IsNotEmpty()
  productCode: string;

  @IsNotEmpty()
  destination: string;

  @IsOptional()
  trx_id: string;

  @IsOptional()
  bill_trx_id: string;
}
